An endpoint to request a device registration nonce.
HTTP request
POST https://example.issuer.com/api/v1/vdc/getDeviceRegistrationNonce
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"requestMetadata": {
object ( |
| Fields | |
|---|---|
requestMetadata |
The metadata about the request, required in all requests. |
deviceReferenceId |
The id that corresponds to the device and the identity key associated with the device. This is NOT a device id, meaning that if the user were to have two separate credentials on the same device, this id would differ between them. This id is supplied in all requests, and can be used to correlate requests. |
Response body
A response containing the device registration nonce.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"responseMetadata": {
object ( |
| Fields | |
|---|---|
responseMetadata |
The metadata about the response, required in all responses. |
nonce |
The nonce to be used for device registration. This must be a maximum of 32 bytes, due to a restriction in the Android IdentityCredential library. |